package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuDishesStyleAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesStyleEditDTO;
import com.bonus.canteen.core.menu.entity.MenuDishesStyle;
import com.bonus.canteen.core.menu.vo.MenuDishesStylePageVO;

public interface MenuDishesStyleService extends IService<MenuDishesStyle> {
   void addMenuDishesStyle(MenuDishesStyleAddDTO content);

   Page<MenuDishesStylePageVO> getMenuDishesStylePage(String content);

   void editMenuDishesStyle(MenuDishesStyleEditDTO content);

   void removeByStyleId(Long styleId);
}
